Class | Tk::Tcllib::Widget::Ruler
In: | tk/lib/tkextlib/tcllib/ruler.rb
Parent: | TkWindow

### Methods

package_name package_version redraw shade

### Constants

PACKAGE_NAME | = | 'widget::ruler'.freeze
TkCommandNames | = | ['::widget::ruler'.freeze].freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/ruler.rb, line 19
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/ruler.rb, line 23
          def self.package_version
            begin
              TkPackage.require('widget::ruler')
            rescue
              ''
            end
          end

### Public Instance methods

redraw()

[Source]

    # File tk/lib/tkextlib/tcllib/ruler.rb, line 57
      def redraw
        tk_send('redraw')
        self
      end

shade(org, dest, frac)

[Source]

    # File tk/lib/tkextlib/tcllib/ruler.rb, line 62
      def shade(org, dest, frac)
        tk_send('shade', org, dest, frac)
      end

[Validate]